main/urls.py
from django.urls import path

from . import views
from .views import add, delete

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
    path('<int:id>', views.matkul, name='matkul'),
    path('add/', views.add, name='add'),
    path('delete/<int:id>', delete, name = 'delete'),
]

story5/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    # path('jadwal/', include('main.urls')),
]

main/models.py
from django.db import models

# Create your models here.
class Matkul(models.Model):
    nama = models.TextField(max_length=50)
    dosen = models.TextField(max_length=50)
    sks = models.TextField()
    deskripsi = models.TextField(max_length=50)
    semester = models.TextField(max_length=50)
    ruang = models.TextField(max_length=50)

main/forms.py
from django import forms

class FormJadwal(forms.Form):
    nama = forms.CharField(label="Nama matkul")

    dosen = forms.CharField(label="Dosen")

    sks = forms.CharField(label="Jumlah SKS")

    deskripsi = forms.CharField(label="Deskripsi")

    semester = forms.CharField(label="Semester")

    ruang = forms.CharField(label="Ruang")

main/views.py
from django.shortcuts import render, redirect
from .models import Matkul
from .forms import FormJadwal

def home(request):
    allMatkul = Matkul.objects.all()
    
    return render(request, 'main/home.html', {"allMatkul": allMatkul})

def matkul(request, id):
    matkul = Matkul.objects.get(id = id)
    
    return render(request, 'main/matkul.html', {"matkul": matkul})

def add(request):
    if request.method == "POST":
        form = FormJadwal(request.POST)
        if form.is_valid():
            nama = form.cleaned_data['nama']
            dosen = form.cleaned_data['dosen']
            sks = form.cleaned_data['sks']
            deskripsi = form.cleaned_data['deskripsi']
            semester = form.cleaned_data['semester']
            ruang = form.cleaned_data['ruang']
            item = Matkul(nama=nama, dosen=dosen, sks=sks, deskripsi=deskripsi, semester=semester, ruang=ruang)
            item.save()

            return redirect('../')
    else: 
        form = FormJadwal()
    
    return render(request, 'main/add.html', {"form" : form})

def delete(request, id):
    if request.method == "GET":
        matkul = Matkul.objects.get(id = id)
        matkul.delete()
        
        return redirect('../')
    
    return redirect('../')

main/templates/main/add.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hello, world!</title>
{% endblock meta %}

{% block content %}
  <form action='' method="POST">
    {% csrf_token %}
    {{ form.as_p }}
    <button type='submit' name="tambah">Tambah</button>
  </form>
{% endblock content %}

main/templates/main/home.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hello, world!</title>
{% endblock meta %}

{% block content %}
<div class="home-content">
  <table class="table">
    <tbody>
      {% for item in allMatkul %}
      <tr>
        <td>
          <a href="{% url 'main:matkul' id=item.id %}">{{ item.nama }}</a>
        </td>
        <td>
          <a href="{% url 'main:delete' id=item.id %}">Delete</a>
        </td>
      </tr>
      
      {% endfor %}
    </tbody>
  </table>
  <a href="add" class="btn btn-primary">Add new ?</a>
</div>



{% endblock content %}

main/templates/main/matkul.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hello, world!</title>
{% endblock meta %}

{% block content %}
<table class="table">
    <thead>
      <tr>
        <th>Nama</th>
        <th>Dosen</th>
        <th>SKS</th>
        <th>Deskripsi</th>
        <th>Semester</th>
        <th>Ruang</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <th>{{ matkul.nama }}</th>
        <td>{{ matkul.dosen }}</td>
        <td>{{ matkul.sks }}</td>
        <td>{{ matkul.deskripsi }}</td>
        <td>{{ matkul.semester }}</td>
        <td>{{ matkul.ruang }}</td>
        
      </tr>
    </tbody>
  </table>
  {% endblock content %}

templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
  <link rel="stylesheet" href="static/style.css">
  {% block meta %}
  {% endblock meta %}
</head>

<body>
  <div class="mainbox">

      {% block content %}
      {% endblock content %}

  </div>
  

  
</body>

</html>